Apple Binary Rejected with SDK36

Hi guys, yesterday I submitted to apple my new binary generated with SDK 36, today it was rejected with the following message:

Guideline 2.5.1 - Performance - Software Requirements


Your app uses or references the following non-public APIs:

- PhotoLibrary.framework

The use of non-public APIs is not permitted on the App Store because it can lead to a poor user experience should these APIs change. 

Continuing to use or conceal non-public APIs in future submissions of this app may result in the termination of your Apple Developer account, as well as removal of all associated apps from the App Store.

Next Steps

If you are using third-party libraries, please update to the most recent version of those libraries. If you do not have access to the libraries' source, you may be able to search the compiled binary using the "strings" or "otool" command line tools. The "strings" tool can output a list of the methods that the library calls and "otool -ov" will output the Objective-C class structures and their defined methods. These tools can help you narrow down where the problematic code resides. You could also use the "nm" tool to verify if any third-party libraries are calling these APIs.

Resources

If there are no alternatives for providing the functionality your app requires, you can use Feedback Assistant to submit an enhancement request.

package.json:

{
  "name": "foo-app",
  "main": "node_modules/expo/AppEntry.js",
  "private": true,
  "scripts": {
    "start": "expo start",
    "android": "expo start --android",
    "ios": "expo start --ios",
    "eject": "expo eject"
  },
  "dependencies": {
    "@react-native-community/viewpager": "2.0.2",
    "axios": "^0.19.0",
    "expo": "^36.0.0",
    "expo-constants": "~8.0.0",
    "expo-file-system": "~8.0.0",
    "expo-font": "~8.0.0",
    "expo-linear-gradient": "~8.0.0",
    "expo-permissions": "~8.0.0",
    "firebase": "^7.1.0",
    "immutability-helper": "^3.0.0",
    "moment": "^2.22.2",
    "numeral": "^2.0.6",
    "prop-types": "^15.6.2",
    "react": "16.9.0",
    "react-native": "https://github.com/expo/react-native/archive/sdk-36.0.0.tar.gz",
    "react-native-animated-background-color-view": "^1.2.5",
    "react-native-appearance": "~0.3.1",
    "react-native-segmented-control-tab": "^3.4.1",
    "react-native-svg": "9.13.3",
    "react-native-swiper": "^1.6.0-rc.3",
    "react-native-typography": "^1.4.0",
    "react-redux": "^7.1.1",
    "redux": "^4.0.1",
    "redux-devtools-extension": "^2.13.8",
    "redux-enhancer-react-native-appstate": "^0.3.1",
    "redux-persist": "^6.0.0",
    "redux-persist-expo-filesystem": "^2.0.0",
    "redux-persist-transform-filter": "^0.0.20",
    "redux-thunk": "^2.3.0",
    "sentry-expo": "~2.0.0",
    "victory-native": "^33.0.0"
  },
  "devDependencies": {
    "babel-preset-expo": "^8.0.0",
    "eslint": "^6.1.0",
    "eslint-config-universe": "^1.0.0",
    "prettier": "^1.18.2",
    "react-native-debugger-open": "^0.3.22"
  }
}

app.json:

{
  "expo": {
    "name": "Foo App",
    "slug": "foo-app",
    "privacy": "unlisted",
    "sdkVersion": "36.0.0",
    "platforms": [
      "ios",
      "android"
    ],
    "version": "1.1.1",
    "orientation": "portrait",
    "icon": "./assets/icon.png",
    "splash": {
      "image": "./assets/splash.png",
      "resizeMode": "contain",
      "backgroundColor": "#ffffff"
    },
    "ios": {
      "bundleIdentifier": "im.outa.FooApp",
      "buildNumber": "6",
      "infoPlist": {
        "CFBundleDevelopmentRegion": "es"
      },
      "supportsTablet": false,
      "config": {
        "usesNonExemptEncryption": false
      },
      "userInterfaceStyle": "automatic"
    },
    "android": {
      "package": "im.outa.FooApp",
      "versionCode": 6,
      "googleServicesFile": "./google-services.json",
      "icon": "./assets/icon.android.png",
      "adaptiveIcon": {
        "foregroundImage": "./assets/icon.android.adaptive.foreground.png",
        "backgroundImage": "./assets/icon.android.adaptive.background.png"
      }
    },
    "notification": {
      "icon": "./assets/icon.notification.png",
      "color": "#2AF598",
      "iosDisplayInForeground": true
    },
    "updates": {
      "fallbackToCacheTimeout": 0
    },
    "assetBundlePatterns": [
      "assets/**",
      "node_modules/@expo/vector-icons/**/{MaterialIcons}.ttf"
    ]
  }
}

My app is already published on store with older SDK without troubles, any advice will be welcome,

Thanks !!!

For those interested follow this github issue:

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.